#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;

uniform sampler2D u_sampler;

//uniform vec4 u_color_shift;
//uniform vec4 u_color_scale;

void main () {

	vec4 base = texture2D(u_sampler, v_uv);
	
	float k = smoothstep(0.25, 0.5, base.r); // step(0.5, base.r);
	
	gl_FragColor = vec4(0.05, 0.03, 0.01, 1.0);
	
	float cheating_factor = 0.125; // 0.0; // 0.3;
	
	gl_FragColor.a = (1.0 - k) - cheating_factor; 
	
}
