#ifdef GL_ES
	precision mediump float;
#endif

uniform sampler2D u_sampler;
varying vec4 v_uv;

varying float v_type;

uniform vec4 u_pos_modif;

void main() {



	float hl = v_uv.p;  // highlighted
	float hl2 = v_uv.q; // radio bullet
	
	
	vec4 t = texture2D(u_sampler, vec2(v_uv.s, v_uv.t) );
	
	// t = vec4(1.0, 1.0, 1.0, 1.0 * t.r); // <--- !!! hack for one-color images with alpha
	
	//vec4 c = vec4(0.29, 0.27, 0.25, 0.667) + vec4(0.35*hl + hl2, 0.35*hl + hl2, 0.35*hl + hl2, 0.0);
	
	vec4 c = hl * vec4(0.6, 0.48, 0.0, 2.0) + (1.0 - hl) * vec4(0.08, 0.08, 0.08, 0.667*hl2);

	vec4 v = (1.0 - v_type)*t + (v_type)*c;

	


	v.a = v.a * u_pos_modif.a;

	gl_FragColor = v;   
	
}
