uniform mat4 u_proj;
uniform mat4 u_modelview;

uniform vec4 u_pos_modif;
uniform vec4 u_uv_modif;

attribute vec4 a_pos;
attribute vec4 a_uv;

varying vec2 v_uv;


void main() {

	vec4 p = vec4( u_pos_modif.x + u_pos_modif.z*a_pos.x, u_pos_modif.y + u_pos_modif.z*a_pos.y, 0.0, 1.0 );

	gl_Position = u_proj * u_modelview * p;
	
    v_uv = vec2(u_uv_modif.x + u_uv_modif.z*a_uv.x, u_uv_modif.y + u_uv_modif.z*a_uv.y); 
    
    
}


